Bug 1264470 - various RHEL7 channel maps to product certs are missing in subscription-manager-migration-data
Summary: various RHEL7 channel maps to product certs are missing in subscription-manag...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager-migration-data
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: rc
: ---
Assignee: vritant
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-18 14:18 UTC by John Sefler
Modified: 2016-11-03 20:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1462980 (view as bug list)
Environment:
Last Closed: 2016-11-03 20:27:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1257212 None None None Never
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Internal Links: 1257212

Description John Sefler 2015-09-18 14:18:35 UTC
Description of problem:
The comments following in this bugs list RHEL7 channels that were detected from an automated test suite that is complaining about RHN channels that are currently available to a RHEL7 system registered to a Satellite5 server but are not accounted for in the subscription-manager-migration-data package that contains a list of classic channels to product certificate maps....

NEEDINFO from release engineering if the lack of mappings is expected or if the upstream product-certs.json file needs to be regenerated and fed into the script that generates subscription-manager-migration-data.
The upstream mappings are provided by http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/product-certs.json

RHN Classic channel '<SUBSTITUTE FROM LISTED COMMENTS BELOW>' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt'. expected:<true> but was:<false>


Version-Release number of selected component (if applicable):
[root@jsefler-7 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.24-1.el7.noarch


How reproducible:


Steps to Reproduce:
[root@jsefler-7 ~]# grep <SUBSTITUTE CHANNEL FROM LISTED COMMENTS BELOW>: /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt

Actual results:
  no hit

Expected results:
  a map from the named channel to a product certificate

Additional info:

Comment 1 John Sefler 2015-09-18 14:25:12 UTC
rhel-ppc64-server-hts-7-debuginfo
rhel-s390x-server-hts-7-debuginfo
rhel-x86_64-server-hts-7-debuginfo

Comment 2 John Sefler 2015-09-24 21:02:47 UTC
deferring for consideration in rhel-7.3.0 due to schedule and severity

Comment 6 Shwetha Kallesh 2016-08-10 15:36:12 UTC
See mappings for channels below
rhel-ppc64-server-hts-7-debuginfo
rhel-s390x-server-hts-7-debuginfo
rhel-x86_64-server-hts-7-debuginfo

[root@dhcp35-77 ~]# rpm -qa | grep migration-data
subscription-manager-migration-data-2.0.30-1.el7.noarch


[root@dhcp35-77 ~]#  grep rhel-ppc64-server-hts-7-debuginfo: /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt
rhel-ppc64-server-hts-7-debuginfo: HTS-ppc64-b3f24ca04005-199.pem

[root@dhcp35-77 ~]#  grep rhel-s390x-server-hts-7-debuginfo: /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt
rhel-s390x-server-hts-7-debuginfo: HTS-s390x-57c396da7c34-199.pem

[root@dhcp35-77 ~]#  grep rhel-x86_64-server-hts-7-debuginfo: /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt
rhel-x86_64-server-hts-7-debuginfo: HTS-x86_64-3c50acdffc87-199.pem

Comment 8 errata-xmlrpc 2016-11-03 20:27:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.